This connector is optimized for AI agents. For the data replication connector, see Asana .
This is the full reference documentation for the Asana agent connector.
Supported entities and actions
The Asana connector supports the following entities and actions.
Entity Actions Tasks List , Create , Get , Update , Delete , Context Store Search Project Tasks List Workspace Task Search List Projects List , Create , Get , Update , Delete , Context Store Search Task Projects List Team Projects List Workspace Projects List Workspaces List , Get , Context Store Search Users List , Get , Context Store Search Workspace Users List Team Users List Teams Get , Context Store Search Workspace Teams List User Teams List Attachments List , Get , Download , Context Store Search Workspace Tags List , Create Tags Get , Update , Delete , Context Store Search Tag Tasks List Project Sections List , Create Sections Get , Update , Delete , Context Store Search Section Tasks List , Create Task Subtasks List Task Dependencies List Task Dependents List Task Stories Create Task Tags Create , Delete Workspace Memberships Create
Tasks
Tasks List
Returns a paginated list of tasks. Must include either a project OR a section OR a workspace AND assignee parameter.
Python SDK
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "tasks", "action": "list" }'
Parameters
Parameter Name Type Required Description limitintegerNo Number of items to return per page offsetstringNo Pagination offset token projectstringNo The project to filter tasks on workspacestringNo The workspace to filter tasks on sectionstringNo The workspace to filter tasks on assigneestringNo The assignee to filter tasks on completed_sincestringNo Only return tasks that have been completed since this time modified_sincestringNo Only return tasks that have been completed since this time
Response Schema Records Field Name Type Description gidstringresource_typestringnamestringresource_subtypestringcreated_byobject
Field Name Type Description next_pageobject | null
Tasks Create
Creates a new task. Every task is required to be created in a specific workspace,
and this workspace cannot be changed once set. The workspace need not be set explicitly
if you specify projects or a parent task instead.
Python SDK
await asana . tasks . create ( data = { "name" : "<str>" , "workspace" : "<str>" } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "tasks", "action": "create", "params": { "data": { "name": "<str>", "workspace": "<str>" } } }'
Parameters
Parameter Name Type Required Description dataobjectYes data.namestringYes Name of the task data.workspacestringYes GID of the workspace to create the task in data.projectsarray<string>No Array of project GIDs to add the task to data.assigneestringNo GID of the user to assign the task to, or 'me' for the current user data.notesstringNo Free-form textual description of the task (plain text, no formatting) data.html_notesstringNo HTML-formatted description of the task data.due_onstringNo Due date in YYYY-MM-DD format data.due_atstringNo Due date and time in ISO 8601 format (e.g., 2025-03-20T12:00:00.000Z) data.start_onstringNo Start date in YYYY-MM-DD format data.completedbooleanNo Whether the task is completed data.parentstringNo GID of the parent task (to create a subtask) data.tagsarray<string>No Array of tag GIDs to add to the task data.followersarray<string>No Array of user GIDs to add as followers data.resource_subtype"default_task" | "milestone" | "section" | "approval"No The subtype of the task: default_task, milestone, section, or approval
Response Schema Records Field Name Type Description gidstring
Tasks Get
Get a single task by its ID
Python SDK
await asana . tasks . get ( task_gid = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "tasks", "action": "get", "params": { "task_gid": "<str>" } }'
Parameters
Parameter Name Type Required Description task_gidstringYes Task GID
Response Schema Records Field Name Type Description gidstring
Tasks Update
Updates an existing task. Only the fields provided in the data block will be updated;
any unspecified fields will remain unchanged. When using this method, it is best to
specify only those fields you wish to change.
Python SDK
await asana . tasks . update ( data = { } , task_gid = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "tasks", "action": "update", "params": { "data": {}, "task_gid": "<str>" } }'
Parameters
Parameter Name Type Required Description dataobjectYes data.namestringNo Name of the task data.assigneestringNo GID of the user to assign the task to, or 'me' for the current user data.notesstringNo Free-form textual description of the task (plain text, no formatting) data.html_notesstringNo HTML-formatted description of the task data.due_onstringNo Due date in YYYY-MM-DD format data.due_atstringNo Due date and time in ISO 8601 format (e.g., 2025-03-20T12:00:00.000Z) data.start_onstringNo Start date in YYYY-MM-DD format data.completedbooleanNo Whether the task is completed task_gidstringYes The task to update
Response Schema Records Field Name Type Description gidstring
Tasks Delete
Deletes a specific, existing task. Deleted tasks go into the trash of the user
making the delete request. Tasks can be recovered from the trash within 30 days;
afterward they are completely removed from the system.
Python SDK
await asana . tasks . delete ( task_gid = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "tasks", "action": "delete", "params": { "task_gid": "<str>" } }'
Parameters
Parameter Name Type Required Description task_gidstringYes The task to delete
Tasks Context Store Search
Search and filter tasks records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await asana . tasks . context_store_search ( query = { "filter" : { "eq" : { "actual_time_minutes" : 0 } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "tasks", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"actual_time_minutes": 0}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description actual_time_minutesintegerThe actual time spent on the task in minutes approval_statusstringassigneeobjectcompletedbooleancompleted_atstringcompleted_byobjectcreated_atstringcustom_fieldsarraydependenciesarraydependentsarraydue_atstringdue_onstringexternalobjectfollowersarraygidstringheartedbooleanheartsarrayhtml_notesstringis_rendered_as_separatorbooleanlikedbooleanlikesarraymembershipsarraymodified_atstringnamestringnotesstringnum_heartsintegernum_likesintegernum_subtasksintegerparentobjectpermalink_urlstringprojectsarrayresource_subtypestringresource_typestringstart_onstringtagsarrayworkspaceobject
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].actual_time_minutesintegerThe actual time spent on the task in minutes data[].approval_statusstringdata[].assigneeobjectdata[].completedbooleandata[].completed_atstringdata[].completed_byobjectdata[].created_atstringdata[].custom_fieldsarraydata[].dependenciesarraydata[].dependentsarraydata[].due_atstringdata[].due_onstringdata[].externalobjectdata[].followersarraydata[].gidstringdata[].heartedbooleandata[].heartsarraydata[].html_notesstringdata[].is_rendered_as_separatorbooleandata[].likedbooleandata[].likesarraydata[].membershipsarraydata[].modified_atstringdata[].namestringdata[].notesstringdata[].num_heartsintegerdata[].num_likesintegerdata[].num_subtasksintegerdata[].parentobjectdata[].permalink_urlstringdata[].projectsarraydata[].resource_subtypestringdata[].resource_typestringdata[].start_onstringdata[].tagsarraydata[].workspaceobject
Project Tasks
Project Tasks List
Returns all tasks in a project
Python SDK
await asana . project_tasks . list ( project_gid = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "project_tasks", "action": "list", "params": { "project_gid": "<str>" } }'
Parameters
Parameter Name Type Required Description project_gidstringYes Project GID to list tasks from limitintegerNo Number of items to return per page offsetstringNo Pagination offset token completed_sincestringNo Only return tasks that have been completed since this time
Response Schema Records Field Name Type Description gidstringresource_typestringnamestringresource_subtypestringcreated_byobject
Field Name Type Description next_pageobject | null
Workspace Task Search
Workspace Task Search List
Returns tasks that match the specified search criteria. This endpoint requires a premium Asana account.
IMPORTANT: At least one search filter parameter must be provided. Valid filter parameters include: text, completed, assignee.any, projects.any, sections.any, teams.any, followers.any, created_at.after, created_at.before, modified_at.after, modified_at.before, due_on.after, due_on.before, and resource_subtype. The sort_by and sort_ascending parameters are for ordering results and do not count as search filters.
Python SDK
await asana . workspace_task_search . list ( workspace_gid = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "workspace_task_search", "action": "list", "params": { "workspace_gid": "<str>" } }'
Parameters
Parameter Name Type Required Description workspace_gidstringYes Workspace GID to search tasks in limitintegerNo Number of items to return per page offsetstringNo Pagination offset token textstringNo Search text to filter tasks completedbooleanNo Filter by completion status assignee.anystringNo Comma-separated list of assignee GIDs projects.anystringNo Comma-separated list of project GIDs sections.anystringNo Comma-separated list of section GIDs teams.anystringNo Comma-separated list of team GIDs followers.anystringNo Comma-separated list of follower GIDs created_at.afterstringNo Filter tasks created after this date (ISO 8601 format) created_at.beforestringNo Filter tasks created before this date (ISO 8601 format) modified_at.afterstringNo Filter tasks modified after this date (ISO 8601 format) modified_at.beforestringNo Filter tasks modified before this date (ISO 8601 format) due_on.afterstringNo Filter tasks due after this date (ISO 8601 date format) due_on.beforestringNo Filter tasks due before this date (ISO 8601 date format) resource_subtypestringNo Filter by task resource subtype (e.g., default_task, milestone) sort_bystringNo Field to sort by (e.g., created_at, modified_at, due_date) sort_ascendingbooleanNo Sort order (true for ascending, false for descending)
Response Schema Records Field Name Type Description gidstringresource_typestringnamestringresource_subtypestringcreated_byobject
Field Name Type Description next_pageobject | null
Projects
Projects List
Returns a paginated list of projects
Python SDK
await asana . projects . list ( )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "projects", "action": "list" }'
Parameters
Parameter Name Type Required Description limitintegerNo Number of items to return per page offsetstringNo Pagination offset token workspacestringNo The workspace to filter projects on teamstringNo The team to filter projects on archivedbooleanNo Filter by archived status
Response Schema Records Field Name Type Description gidstringresource_typestringnamestring
Field Name Type Description next_pageobject | null
Projects Create
Create a new project in a workspace or team. Every project is required to be
created in a specific workspace or organization, and this cannot be changed once set.
Python SDK
await asana . projects . create ( data = { "name" : "<str>" , "workspace" : "<str>" } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "projects", "action": "create", "params": { "data": { "name": "<str>", "workspace": "<str>" } } }'
Parameters
Parameter Name Type Required Description dataobjectYes data.namestringYes Name of the project data.workspacestringYes GID of the workspace to create the project in data.teamstringNo GID of the team to share the project with (required for organizations) data.notesstringNo Free-form textual description of the project (plain text) data.html_notesstringNo HTML-formatted description of the project data.colorstringNo Color of the project (e.g., dark-pink, dark-green, dark-blue, dark-red, dark-teal, dark-brown, dark-orange, dark-purple, dark-warm-gray, light-pink, light-green, light-blue, light-red, light-teal, light-brown, light-orange, light-purple, light-warm-gray, none) data.default_view"list" | "board" | "calendar" | "timeline"No The default view of the project (list, board, calendar, timeline) data.due_onstringNo Due date in YYYY-MM-DD format data.start_onstringNo Start date in YYYY-MM-DD format data.privacy_setting"public_to_workspace" | "private"No Privacy setting: public_to_workspace or private data.archivedbooleanNo Whether the project is archived
Response Schema Records Field Name Type Description gidstringarchivedbooleancolorstring | nullcompletedbooleancompleted_atstring | nullcreated_atstringcurrent_statusobject | nullcurrent_status_updateobject | nullcustom_fieldsarraydefault_access_levelstringdefault_viewstringdue_onstring | nulldue_datestring | nullfollowersarray<object>membersarray<object>minimum_access_level_for_customizationstringminimum_access_level_for_sharingstringmodified_atstringnamestringnotesstringownerobjectpermalink_urlstringprivacy_settingstringpublicbooleanresource_typestringstart_onstring | nullteamobject | nullworkspaceobjecticonstring | nullcompleted_byobject | null
Projects Get
Get a single project by its ID
Python SDK
await asana . projects . get ( project_gid = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "projects", "action": "get", "params": { "project_gid": "<str>" } }'
Parameters
Parameter Name Type Required Description project_gidstringYes Project GID
Response Schema Records Field Name Type Description gidstringarchivedbooleancolorstring | nullcompletedbooleancompleted_atstring | nullcreated_atstringcurrent_statusobject | nullcurrent_status_updateobject | nullcustom_fieldsarraydefault_access_levelstringdefault_viewstringdue_onstring | nulldue_datestring | nullfollowersarray<object>membersarray<object>minimum_access_level_for_customizationstringminimum_access_level_for_sharingstringmodified_atstringnamestringnotesstringownerobjectpermalink_urlstringprivacy_settingstringpublicbooleanresource_typestringstart_onstring | nullteamobject | nullworkspaceobjecticonstring | nullcompleted_byobject | null
Projects Update
Updates an existing project. Only the fields provided in the data block will be updated;
any unspecified fields will remain unchanged. When using this method, it is best to
specify only those fields you wish to change.
Python SDK
await asana . projects . update ( data = { } , project_gid = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "projects", "action": "update", "params": { "data": {}, "project_gid": "<str>" } }'
Parameters
Parameter Name Type Required Description dataobjectYes data.namestringNo Name of the project data.notesstringNo Free-form textual description of the project (plain text) data.html_notesstringNo HTML-formatted description of the project data.colorstringNo Color of the project data.default_view"list" | "board" | "calendar" | "timeline"No The default view of the project (list, board, calendar, timeline) data.due_onstringNo Due date in YYYY-MM-DD format data.start_onstringNo Start date in YYYY-MM-DD format data.archivedbooleanNo Whether the project is archived project_gidstringYes The project to update
Response Schema Records Field Name Type Description gidstringarchivedbooleancolorstring | nullcompletedbooleancompleted_atstring | nullcreated_atstringcurrent_statusobject | nullcurrent_status_updateobject | nullcustom_fieldsarraydefault_access_levelstringdefault_viewstringdue_onstring | nulldue_datestring | nullfollowersarray<object>membersarray<object>minimum_access_level_for_customizationstringminimum_access_level_for_sharingstringmodified_atstringnamestringnotesstringownerobjectpermalink_urlstringprivacy_settingstringpublicbooleanresource_typestringstart_onstring | nullteamobject | nullworkspaceobjecticonstring | nullcompleted_byobject | null
Projects Delete
Deletes a specific, existing project. Returns an empty data record.
Python SDK
await asana . projects . delete ( project_gid = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "projects", "action": "delete", "params": { "project_gid": "<str>" } }'
Parameters
Parameter Name Type Required Description project_gidstringYes The project to delete
Projects Context Store Search
Search and filter projects records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await asana . projects . context_store_search ( query = { "filter" : { "eq" : { "archived" : True } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "projects", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"archived": True}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description archivedbooleancolorstringcreated_atstringcurrent_statusobjectcustom_field_settingsarraycustom_fieldsarraydefault_viewstringdue_datestringdue_onstringfollowersarraygidstringhtml_notesstringiconstringis_templatebooleanmembersarraymodified_atstringnamestringnotesstringownerobjectpermalink_urlstringpublicbooleanresource_typestringstart_onstringteamobjectworkspaceobject
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].archivedbooleandata[].colorstringdata[].created_atstringdata[].current_statusobjectdata[].custom_field_settingsarraydata[].custom_fieldsarraydata[].default_viewstringdata[].due_datestringdata[].due_onstringdata[].followersarraydata[].gidstringdata[].html_notesstringdata[].iconstringdata[].is_templatebooleandata[].membersarraydata[].modified_atstringdata[].namestringdata[].notesstringdata[].ownerobjectdata[].permalink_urlstringdata[].publicbooleandata[].resource_typestringdata[].start_onstringdata[].teamobjectdata[].workspaceobject
Task Projects
Task Projects List
Returns all projects a task is in
Python SDK
await asana . task_projects . list ( task_gid = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "task_projects", "action": "list", "params": { "task_gid": "<str>" } }'
Parameters
Parameter Name Type Required Description task_gidstringYes Task GID to list projects from limitintegerNo Number of items to return per page offsetstringNo Pagination offset token
Response Schema Records Field Name Type Description gidstringresource_typestringnamestring
Field Name Type Description next_pageobject | null
Team Projects
Team Projects List
Returns all projects for a team
Python SDK
await asana . team_projects . list ( team_gid = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "team_projects", "action": "list", "params": { "team_gid": "<str>" } }'
Parameters
Parameter Name Type Required Description team_gidstringYes Team GID to list projects from limitintegerNo Number of items to return per page offsetstringNo Pagination offset token archivedbooleanNo Filter by archived status
Response Schema Records Field Name Type Description gidstringresource_typestringnamestring
Field Name Type Description next_pageobject | null
Workspace Projects
Workspace Projects List
Returns all projects in a workspace
Python SDK
await asana . workspace_projects . list ( workspace_gid = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "workspace_projects", "action": "list", "params": { "workspace_gid": "<str>" } }'
Parameters
Parameter Name Type Required Description workspace_gidstringYes Workspace GID to list projects from limitintegerNo Number of items to return per page offsetstringNo Pagination offset token archivedbooleanNo Filter by archived status
Response Schema Records Field Name Type Description gidstringresource_typestringnamestring
Field Name Type Description next_pageobject | null
Workspaces
Workspaces List
Returns a paginated list of workspaces
Python SDK
await asana . workspaces . list ( )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "workspaces", "action": "list" }'
Parameters
Parameter Name Type Required Description limitintegerNo Number of items to return per page offsetstringNo Pagination offset token
Response Schema Records Field Name Type Description gidstringresource_typestringnamestring
Field Name Type Description next_pageobject | null
Workspaces Get
Get a single workspace by its ID
Python SDK
await asana . workspaces . get ( workspace_gid = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "workspaces", "action": "get", "params": { "workspace_gid": "<str>" } }'
Parameters
Parameter Name Type Required Description workspace_gidstringYes Workspace GID
Response Schema Records Field Name Type Description gidstringresource_typestringnamestringemail_domainsarray<string>is_organizationboolean
Workspaces Context Store Search
Search and filter workspaces records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await asana . workspaces . context_store_search ( query = { "filter" : { "eq" : { "email_domains" : [ ] } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "workspaces", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"email_domains": []}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description email_domainsarraygidstringis_organizationbooleannamestringresource_typestring
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].email_domainsarraydata[].gidstringdata[].is_organizationbooleandata[].namestringdata[].resource_typestring
Users
Users List
Returns a paginated list of users
Python SDK
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "users", "action": "list" }'
Parameters
Parameter Name Type Required Description limitintegerNo Number of items to return per page offsetstringNo Pagination offset token workspacestringNo The workspace to filter users on teamstringNo The team to filter users on
Response Schema Records Field Name Type Description gidstringresource_typestringnamestring
Field Name Type Description next_pageobject | null
Users Get
Get a single user by their ID
Python SDK
await asana . users . get ( user_gid = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "users", "action": "get", "params": { "user_gid": "<str>" } }'
Parameters
Parameter Name Type Required Description user_gidstringYes User GID
Response Schema Records Field Name Type Description gidstringemailstringnamestringphotoobject | nullresource_typestringworkspacesarray<object>
Users Context Store Search
Search and filter users records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await asana . users . context_store_search ( query = { "filter" : { "eq" : { "email" : "<str>" } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "users", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"email": "<str>"}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description emailstringgidstringnamestringphotoobjectresource_typestringworkspacesarray
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].emailstringdata[].gidstringdata[].namestringdata[].photoobjectdata[].resource_typestringdata[].workspacesarray
Workspace Users
Workspace Users List
Returns all users in a workspace
Python SDK
await asana . workspace_users . list ( workspace_gid = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "workspace_users", "action": "list", "params": { "workspace_gid": "<str>" } }'
Parameters
Parameter Name Type Required Description workspace_gidstringYes Workspace GID to list users from limitintegerNo Number of items to return per page offsetstringNo Pagination offset token
Response Schema Records Field Name Type Description gidstringresource_typestringnamestring
Field Name Type Description next_pageobject | null
Team Users
Team Users List
Returns all users in a team
Python SDK
await asana . team_users . list ( team_gid = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "team_users", "action": "list", "params": { "team_gid": "<str>" } }'
Parameters
Parameter Name Type Required Description team_gidstringYes Team GID to list users from limitintegerNo Number of items to return per page offsetstringNo Pagination offset token
Response Schema Records Field Name Type Description gidstringresource_typestringnamestring
Field Name Type Description next_pageobject | null
Teams
Teams Get
Get a single team by its ID
Python SDK
await asana . teams . get ( team_gid = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "teams", "action": "get", "params": { "team_gid": "<str>" } }'
Parameters
Parameter Name Type Required Description team_gidstringYes Team GID
Response Schema Records Field Name Type Description gidstringnamestringorganizationobjectpermalink_urlstringresource_typestring
Teams Context Store Search
Search and filter teams records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await asana . teams . context_store_search ( query = { "filter" : { "eq" : { "description" : "<str>" } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "teams", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"description": "<str>"}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description descriptionstringgidstringhtml_descriptionstringnamestringorganizationobjectpermalink_urlstringresource_typestring
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].descriptionstringdata[].gidstringdata[].html_descriptionstringdata[].namestringdata[].organizationobjectdata[].permalink_urlstringdata[].resource_typestring
Workspace Teams
Workspace Teams List
Returns all teams in a workspace
Python SDK
await asana . workspace_teams . list ( workspace_gid = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "workspace_teams", "action": "list", "params": { "workspace_gid": "<str>" } }'
Parameters
Parameter Name Type Required Description workspace_gidstringYes Workspace GID to list teams from limitintegerNo Number of items to return per page offsetstringNo Pagination offset token
Response Schema Records Field Name Type Description gidstringresource_typestringnamestring
Field Name Type Description next_pageobject | null
User Teams
User Teams List
Returns all teams a user is a member of
Python SDK
await asana . user_teams . list ( user_gid = "<str>" , organization = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "user_teams", "action": "list", "params": { "user_gid": "<str>", "organization": "<str>" } }'
Parameters
Parameter Name Type Required Description user_gidstringYes User GID to list teams from organizationstringYes The workspace or organization to filter teams on limitintegerNo Number of items to return per page offsetstringNo Pagination offset token
Response Schema Records Field Name Type Description gidstringresource_typestringnamestring
Field Name Type Description next_pageobject | null
Attachments
Attachments List
Returns a list of attachments for an object (task, project, etc.)
Python SDK
await asana . attachments . list ( parent = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "attachments", "action": "list", "params": { "parent": "<str>" } }'
Parameters
Parameter Name Type Required Description parentstringYes Globally unique identifier for the object to fetch attachments for (e.g., a task GID) limitintegerNo Number of items to return per page offsetstringNo Pagination offset token
Response Schema Records Field Name Type Description gidstringresource_typestringnamestringresource_subtypestring
Field Name Type Description next_pageobject | null
Attachments Get
Get details for a single attachment by its GID
Python SDK
await asana . attachments . get ( attachment_gid = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "attachments", "action": "get", "params": { "attachment_gid": "<str>" } }'
Parameters
Parameter Name Type Required Description attachment_gidstringYes Globally unique identifier for the attachment
Response Schema Records Field Name Type Description gidstringresource_typestringnamestringresource_subtypestringcreated_atstringdownload_urlstring | nullpermanent_urlstring | nullhoststringparentobjectview_urlstring | nullsizeinteger | null
Attachments Download
Downloads the file content of an attachment. This operation first retrieves the attachment
metadata to get the download_url, then downloads the file from that URL.
Python SDK
async for chunk in asana . attachments . download ( attachment_gid = "<str>" ) : file . write ( chunk )
Note : Download operations return an async iterator of bytes chunks for memory-efficient streaming. Use async for to process chunks as they arrive.
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "attachments", "action": "download", "params": { "attachment_gid": "<str>" } }'
Parameters
Parameter Name Type Required Description attachment_gidstringYes Globally unique identifier for the attachment range_headerstringNo Optional Range header for partial downloads (e.g., 'bytes=0-99')
Attachments Context Store Search
Search and filter attachments records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await asana . attachments . context_store_search ( query = { "filter" : { "eq" : { "connected_to_app" : True } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "attachments", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"connected_to_app": True}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description connected_to_appbooleancreated_atstringdownload_urlstringgidstringhoststringnamestringparentobjectpermanent_urlstringresource_subtypestringresource_typestringsizeintegerview_urlstring
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].connected_to_appbooleandata[].created_atstringdata[].download_urlstringdata[].gidstringdata[].hoststringdata[].namestringdata[].parentobjectdata[].permanent_urlstringdata[].resource_subtypestringdata[].resource_typestringdata[].sizeintegerdata[].view_urlstring
Returns all tags in a workspace
Python SDK
await asana . workspace_tags . list ( workspace_gid = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "workspace_tags", "action": "list", "params": { "workspace_gid": "<str>" } }'
Parameters
Parameter Name Type Required Description workspace_gidstringYes Workspace GID to list tags from limitintegerNo Number of items to return per page offsetstringNo Pagination offset token
Response Schema Records Field Name Type Description gidstringresource_typestringnamestring
Field Name Type Description next_pageobject | null
Creates a new tag in a workspace or organization. Every tag is required to be
created in a specific workspace or organization, and this cannot be changed once set.
Returns the full record of the newly created tag.
Python SDK
await asana . workspace_tags . create ( data = { "name" : "<str>" } , workspace_gid = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "workspace_tags", "action": "create", "params": { "data": { "name": "<str>" }, "workspace_gid": "<str>" } }'
Parameters
Parameter Name Type Required Description dataobjectYes data.namestringYes Name of the tag data.colorstringNo Color of the tag. Must be one of: dark-pink, dark-green, dark-blue, dark-red, dark-teal, dark-brown, dark-orange, dark-purple, dark-warm-gray, light-pink, light-green, light-blue, light-red, light-teal, light-brown, light-orange, light-purple, light-warm-gray, none, null data.notesstringNo Free-form textual description of the tag workspace_gidstringYes Globally unique identifier for the workspace or organization
Response Schema Records Field Name Type Description gidstringresource_typestringnamestringcolorstringcreated_atstringfollowersarraynotesstringpermalink_urlstringworkspaceobject
Get a single tag by its ID
Python SDK
await asana . tags . get ( tag_gid = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "tags", "action": "get", "params": { "tag_gid": "<str>" } }'
Parameters
Parameter Name Type Required Description tag_gidstringYes Tag GID
Response Schema Records Field Name Type Description gidstringresource_typestringnamestringcolorstringcreated_atstringfollowersarraynotesstringpermalink_urlstringworkspaceobject
Updates the properties of a tag. Only the fields provided in the data block will
be updated; any unspecified fields will remain unchanged. Returns the complete
updated tag record.
Python SDK
await asana . tags . update ( data = { } , tag_gid = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "tags", "action": "update", "params": { "data": {}, "tag_gid": "<str>" } }'
Parameters
Parameter Name Type Required Description dataobjectYes data.namestringNo Name of the tag data.colorstringNo Color of the tag data.notesstringNo Free-form textual description of the tag tag_gidstringYes The tag to update
Response Schema Records Field Name Type Description gidstringresource_typestringnamestringcolorstringcreated_atstringfollowersarraynotesstringpermalink_urlstringworkspaceobject
A specific, existing tag can be deleted by making a DELETE request on the URL
for that tag. Returns an empty data record.
Python SDK
await asana . tags . delete ( tag_gid = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "tags", "action": "delete", "params": { "tag_gid": "<str>" } }'
Parameters
Parameter Name Type Required Description tag_gidstringYes The tag to delete
Tags Context Store Search
Search and filter tags records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await asana . tags . context_store_search ( query = { "filter" : { "eq" : { "color" : "<str>" } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "tags", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"color": "<str>"}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description colorstringfollowersarraygidstringnamestringpermalink_urlstringresource_typestringworkspaceobject
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].colorstringdata[].followersarraydata[].gidstringdata[].namestringdata[].permalink_urlstringdata[].resource_typestringdata[].workspaceobject
Tag Tasks
Tag Tasks List
Returns the compact task records for all tasks with the given tag.
Tasks can have more than one tag at a time.
Python SDK
await asana . tag_tasks . list ( tag_gid = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "tag_tasks", "action": "list", "params": { "tag_gid": "<str>" } }'
Parameters
Parameter Name Type Required Description tag_gidstringYes Globally unique identifier for the tag limitintegerNo Number of items to return per page offsetstringNo Pagination offset token
Response Schema Records Field Name Type Description gidstringresource_typestringnamestringresource_subtypestringcreated_byobject
Field Name Type Description next_pageobject | null
Project Sections
Project Sections List
Returns all sections in a project
Python SDK
await asana . project_sections . list ( project_gid = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "project_sections", "action": "list", "params": { "project_gid": "<str>" } }'
Parameters
Parameter Name Type Required Description project_gidstringYes Project GID to list sections from limitintegerNo Number of items to return per page offsetstringNo Pagination offset token
Response Schema Records Field Name Type Description gidstringresource_typestringnamestring
Field Name Type Description next_pageobject | null
Project Sections Create
Creates a new section in a project. Returns the full record of the newly created section.
Python SDK
await asana . project_sections . create ( data = { "name" : "<str>" } , project_gid = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "project_sections", "action": "create", "params": { "data": { "name": "<str>" }, "project_gid": "<str>" } }'
Parameters
Parameter Name Type Required Description dataobjectYes data.namestringYes The name of the section (this is displayed as the column header in board view) data.insert_beforestringNo GID of a section in the same project before which the new section should be inserted. Cannot be provided together with insert_after. data.insert_afterstringNo GID of a section in the same project after which the new section should be inserted. Cannot be provided together with insert_before. project_gidstringYes Globally unique identifier for the project
Response Schema Records Field Name Type Description gidstringresource_typestringnamestringcreated_atstringprojectobject
Sections
Sections Get
Get a single section by its ID
Python SDK
await asana . sections . get ( section_gid = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "sections", "action": "get", "params": { "section_gid": "<str>" } }'
Parameters
Parameter Name Type Required Description section_gidstringYes Section GID
Response Schema Records Field Name Type Description gidstringresource_typestringnamestringcreated_atstringprojectobject
Sections Update
A specific, existing section can be updated by making a PUT request on the URL for
that section. Only the fields provided in the data block will be updated; any unspecified
fields will remain unchanged. Currently only the name field can be updated.
Python SDK
await asana . sections . update ( data = { } , section_gid = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "sections", "action": "update", "params": { "data": {}, "section_gid": "<str>" } }'
Parameters
Parameter Name Type Required Description dataobjectYes data.namestringNo The new name of the section section_gidstringYes The section to update
Response Schema Records Field Name Type Description gidstringresource_typestringnamestringcreated_atstringprojectobject
Sections Delete
A specific, existing section can be deleted by making a DELETE request on the URL
for that section. Note that sections must be empty to be deleted. The last remaining
section in a project cannot be deleted.
Python SDK
await asana . sections . delete ( section_gid = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "sections", "action": "delete", "params": { "section_gid": "<str>" } }'
Parameters
Parameter Name Type Required Description section_gidstringYes The section to delete
Sections Context Store Search
Search and filter sections records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await asana . sections . context_store_search ( query = { "filter" : { "eq" : { "created_at" : "<str>" } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "sections", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"created_at": "<str>"}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description created_atstringgidstringnamestringprojectobjectresource_typestring
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].created_atstringdata[].gidstringdata[].namestringdata[].projectobjectdata[].resource_typestring
Section Tasks
Section Tasks List
Returns the compact task records for all tasks within the given section.
Python SDK
await asana . section_tasks . list ( section_gid = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "section_tasks", "action": "list", "params": { "section_gid": "<str>" } }'
Parameters
Parameter Name Type Required Description section_gidstringYes The globally unique identifier for the section limitintegerNo Number of items to return per page offsetstringNo Pagination offset token completed_sincestringNo Only return tasks that are either incomplete or that have been completed since this time
Response Schema Records Field Name Type Description gidstringresource_typestringnamestringresource_subtypestringcreated_byobject
Field Name Type Description next_pageobject | null
Section Tasks Create
Add a task to a specific, existing section. This will remove the task from other
sections of the project. The task will be inserted at the top of the section unless
an insert_before or insert_after parameter is declared.
Python SDK
await asana . section_tasks . create ( data = { "task" : "<str>" } , section_gid = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "section_tasks", "action": "create", "params": { "data": { "task": "<str>" }, "section_gid": "<str>" } }'
Parameters
Parameter Name Type Required Description dataobjectYes data.taskstringYes The GID of the task to add to this section data.insert_beforestringNo GID of a task in this section before which the added task should be inserted. Cannot be provided together with insert_after. data.insert_afterstringNo GID of a task in this section after which the added task should be inserted. Cannot be provided together with insert_before. section_gidstringYes The globally unique identifier for the section
Task Subtasks
Task Subtasks List
Returns all subtasks of a task
Python SDK
await asana . task_subtasks . list ( task_gid = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "task_subtasks", "action": "list", "params": { "task_gid": "<str>" } }'
Parameters
Parameter Name Type Required Description task_gidstringYes Task GID to list subtasks from limitintegerNo Number of items to return per page offsetstringNo Pagination offset token
Response Schema Records Field Name Type Description gidstringresource_typestringnamestringresource_subtypestringcreated_byobject
Field Name Type Description next_pageobject | null
Task Dependencies
Task Dependencies List
Returns all tasks that this task depends on
Python SDK
await asana . task_dependencies . list ( task_gid = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "task_dependencies", "action": "list", "params": { "task_gid": "<str>" } }'
Parameters
Parameter Name Type Required Description task_gidstringYes Task GID to list dependencies from limitintegerNo Number of items to return per page offsetstringNo Pagination offset token
Response Schema Records Field Name Type Description gidstringresource_typestringnamestringresource_subtypestringcreated_byobject
Field Name Type Description next_pageobject | null
Task Dependents
Task Dependents List
Returns all tasks that depend on this task
Python SDK
await asana . task_dependents . list ( task_gid = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "task_dependents", "action": "list", "params": { "task_gid": "<str>" } }'
Parameters
Parameter Name Type Required Description task_gidstringYes Task GID to list dependents from limitintegerNo Number of items to return per page offsetstringNo Pagination offset token
Response Schema Records Field Name Type Description gidstringresource_typestringnamestringresource_subtypestringcreated_byobject
Field Name Type Description next_pageobject | null
Task Stories
Task Stories Create
Adds a comment to a task. The comment will be authored by the currently
authenticated user, and timestamped when the server receives the request.
Python SDK
await asana . task_stories . create ( data = { "text" : "<str>" } , task_gid = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "task_stories", "action": "create", "params": { "data": { "text": "<str>" }, "task_gid": "<str>" } }'
Parameters
Parameter Name Type Required Description dataobjectYes data.textstringYes The plain text body of the comment data.html_textstringNo HTML-formatted body of the comment data.is_pinnedbooleanNo Whether the story should be pinned on the resource task_gidstringYes The task to add a comment to
Response Schema Records Field Name Type Description gidstringresource_typestringresource_subtypestringtextstringhtml_textstringis_pinnedbooleancreated_atstringcreated_byobjecttargetobjecttypestring
Adds a tag to a task. Returns an empty data block.
Python SDK
await asana . task_tags . create ( data = { "tag" : "<str>" } , task_gid = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "task_tags", "action": "create", "params": { "data": { "tag": "<str>" }, "task_gid": "<str>" } }'
Parameters
Parameter Name Type Required Description dataobjectYes data.tagstringYes The GID of the tag to add to the task task_gidstringYes The task to operate on
Removes a tag from a task. Returns an empty data block.
Python SDK
await asana . task_tags . delete ( data = { "tag" : "<str>" } , task_gid = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "task_tags", "action": "delete", "params": { "data": { "tag": "<str>" }, "task_gid": "<str>" } }'
Parameters
Parameter Name Type Required Description dataobjectYes data.tagstringYes The GID of the tag to remove from the task task_gidstringYes The task to operate on
Workspace Memberships
Workspace Memberships Create
Add a user to a workspace or organization. The user can be referenced by their
globally unique user ID or their email address. Returns the full user record
for the invited user.
Python SDK
await asana . workspace_memberships . create ( data = { "user" : "<str>" } , workspace_gid = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "workspace_memberships", "action": "create", "params": { "data": { "user": "<str>" }, "workspace_gid": "<str>" } }'
Parameters
Parameter Name Type Required Description dataobjectYes data.userstringYes A user GID or email address to add to the workspace workspace_gidstringYes The workspace or organization to add the user to
Response Schema Records Field Name Type Description gidstringemailstringnamestringphotoobject | nullresource_typestringworkspacesarray<object>